package keeper_test

import (
	"testing"

	testkeeper "colinear/testutil/keeper"
	"colinear/x/colinear-core/types"

	"github.com/stretchr/testify/require"
)

func TestGetParams(t *testing.T) {
	k, ctx := testkeeper.ColinearcoreKeeper(t)
	params := types.DefaultParams()

	k.SetParams(ctx, params)

	require.EqualValues(t, params, k.GetParams(ctx))
}
